#!/bin/sh
# Project Gutenberg: Goethe (Deutsch)
# The main page of each work is at "https://www.gutenberg.org/ebooks/NUMBER",
# where NUMBER is the 4/5-digit number from the list below

ids=`sed -e '/ [GTB] /d' -e 's/ .*//' << "EOF"
2054 # S Iphigenie auf Tauris by Johann Wolfgang von Goethe
2146 # S Egmont by Johann Wolfgang von Goethe
2228 # G Reineke Fuchs by Johann Wolfgang von Goethe
2229 # S Faust: Der Tragödie erster Teil by Johann Wolfgang von Goethe
2230 # S Faust: Der Tragödie zweiter Teil by Johann Wolfgang von Goethe
2312 # G Hermann und Dorothea by Johann Wolfgang von Goethe
2319 # G West-östlicher Divan by Johann Wolfgang von Goethe
2320 # T Novelle by Johann Wolfgang von Goethe
2321 # S Götz von Berlichingen mit der eisernen Hand: Ein Schauspiel by Goethe
2335 # T Wilhelm Meisters Lehrjahre — Band 1 by Johann Wolfgang von Goethe
2336 # T Wilhelm Meisters Lehrjahre — Band 2 by Johann Wolfgang von Goethe
2337 # T Wilhelm Meisters Lehrjahre — Band 3 by Johann Wolfgang von Goethe
2338 # T Wilhelm Meisters Lehrjahre — Band 4 by Johann Wolfgang von Goethe
2339 # T Wilhelm Meisters Lehrjahre — Band 5 by Johann Wolfgang von Goethe
2340 # T Wilhelm Meisters Lehrjahre — Band 6 by Johann Wolfgang von Goethe
2341 # T Wilhelm Meisters Lehrjahre — Band 7 by Johann Wolfgang von Goethe
2342 # T Wilhelm Meisters Lehrjahre — Band 8 by Johann Wolfgang von Goethe
2402 # B Briefe aus der Schweiz by Johann Wolfgang von Goethe
2403 # T Die Wahlverwandtschaften by Johann Wolfgang von Goethe
2404 # T Italienische Reise — Band 1 by Johann Wolfgang von Goethe
2405 # T Italienische Reise — Band 2 by Johann Wolfgang von Goethe
2406 # S Die Geschwister: Ein Schauspiel in einem Akt by Johann Wolfgang von Goethe
2408 # T Die Leiden des jungen Werther — Band 2 by Johann Wolfgang von Goethe
2409 # T Wilhelm Meisters Wanderjahre — Band 1 by Johann Wolfgang von Goethe
2410 # T Wilhelm Meisters Wanderjahre — Band 2 by Johann Wolfgang von Goethe
2411 # T Wilhelm Meisters Wanderjahre — Band 3 by Johann Wolfgang von Goethe
2420 # T Unterhaltungen deutscher Ausgewanderten by Johann Wolfgang von Goethe
5325 # G Römische Elegien by Johann Wolfgang von Goethe
5326 # G Venetianische Epigramme by Johann Wolfgang von Goethe
5653 # S Die Mitschuldigen by Johann Wolfgang von Goethe
9260 # S Prometheus by Johann Wolfgang von Goethe
10353 # S Satyros oder Der vergötterte Waldteufel by Johann Wolfgang von Goethe
10354 # S Die Laune des Verliebten by Johann Wolfgang von Goethe
10425 # S Torquato Tasso by Johann Wolfgang von Goethe
10426 # S Die natürliche Tochter by Johann Wolfgang von Goethe
10428 # S Die Aufgeregten by Johann Wolfgang von Goethe
17657 # T Belagerung von Mainz by Johann Wolfgang von Goethe
17664 # T Kampagne in Frankreich by Johann Wolfgang von Goethe
46021 # B Goethes Briefe an Leipziger Freunde by Johann Wolfgang von Goethe
49593 # B Briefe von Goethe an Lavater aus den Jahren 1774 bis 1783 by Goethe
EOF
`

for i in $ids
do
  if [ ! -s "$i.txt" ]; then
    wget -O "$i.txt" "https://www.gutenberg.org/ebooks/$i.txt.utf-8" || \
      wget -O "$i.txt" "https://www.gutenberg.org/files/$i/$i-0.txt"
  fi
done


